# Created by pyp2rpm-0.5.0
%global pypi_name xtermcolor
%global with_python3 1

Name:           python-%{pypi_name}
Version:        1.3
Release:        2%{?dist}
Summary:        Python module for colorizing output with xterm 256 color support

License:        MIT
URL:            http://pypi.python.org/pypi/xtermcolor/%{version}
Source0:        http://pypi.python.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# I already asked upstream to put LICENSE in the source archive:
# https://github.com/broadinstitute/xtermcolor/issues/1
Source1:        https://raw.github.com/broadinstitute/xtermcolor/master/LICENSE
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
Python module for colorizing output with xterm 256 color support.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python module for colorizing output with xterm 256 color support

%description -n python3-%{pypi_name}
Python module for colorizing output with xterm 256 color support.
This package contains Python 3 build of xtermcolor.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .
# delete distribute setup, we don't need it
sed -i '/distribute_setup/d' setup.py

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/{,python3-}xtermcolor
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE
%{_bindir}/xtermcolor
%{python_sitelib}/%{pypi_name}
# exclude file used for generation of setup.py
%exclude %{python_sitelib}/%{pypi_name}/distribute_setup.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc LICENSE
%{_bindir}/python3-xtermcolor
%{python3_sitelib}/%{pypi_name}
# exclude file used for generation of setup.py
%exclude %{python3_sitelib}/%{pypi_name}/distribute_setup.py*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Fri Nov 14 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.3-2
- Introduced python3- subpackage.

* Fri Nov 14 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.3-1
- Updated to version 1.3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.1-1
- Update to version 1.2.1.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.3-1
- Initial package.
